org.apache.ignite.internal.processors.cache.persistence

## Interface MetaStore

All Known Implementing Classes:
  MetadataStorage

    public interface MetaStore

Meta store.

### Method Summary

Methods
`void` `destroy()` Destroy this meta store.
`RootPage` `dropRootPage(String idxName)` Deallocate index page and remove from tree.
`RootPage` `getOrAllocateForTree(String idxName)` Get or allocate initial page for an index.

### Method Detail

#### getOrAllocateForTree

    RootPage getOrAllocateForTree(String idxName)
                                  throws IgniteCheckedException

Get or allocate initial page for an index.

Parameters:
  `idxName` - Index name.
Returns:
  `RootPage` that keeps pageId, allocated flag that shows whether the page was newly allocated, and rootId that is counter which increments each time new page allocated.
Throws:
  `IgniteCheckedException` - If failed.

#### dropRootPage

    RootPage dropRootPage(String idxName)
                          throws IgniteCheckedException

Deallocate index page and remove from tree.

Parameters:
  `idxName` - Index name.
Returns:
  Root ID or -1 if no page was removed.
Throws:
  `IgniteCheckedException` - If failed.

#### destroy

    void destroy()
                 throws IgniteCheckedException

Destroy this meta store.

Throws:
  `IgniteCheckedException` - If failed.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017